Page MenuHomePhabricator

StringMap::operator[] should not default construct the value when the key is in the map
ClosedPublic

Authored by mehdi_amini on Mar 22 2016, 12:47 PM.

Diff Detail

Event Timeline

mehdi_amini retitled this revision from to StringMap::operator[] should not default construct the value when the key is in the map.
mehdi_amini added reviewers: dblaikie, dexonsmith.
mehdi_amini added a subscriber: llvm-commits.

Remove unrelated changes

Ah, this is why. LGTM.

mehdi_amini accepted this revision.Mar 24 2016, 8:49 AM
mehdi_amini added a reviewer: mehdi_amini.

(mark as accepted, per Duncan)

This revision is now accepted and ready to land.Mar 24 2016, 8:49 AM
mehdi_amini closed this revision.Mar 25 2016, 5:44 PM

Has been unfortunately squashed in r264386